{% extends "::base.html.twig" %}
{% trans_default_domain 'TrainingScheduleBundle' %}
{% block title %}TrainingScheduleBundle:Overview:index{% endblock %}

{% block body %}

    <div class="container container-contend">

        <h1 id="overview-headline">{{ 'overview.headline'|trans }}</h1>

        <form class="form-inline row" action="#" id="dateForm" accept-charset="UTF-8" method="post"
              style="margin: 1%; ">
            <div class="col-md-3">
                <button type="submit" id="dateBackward" class="btn btn-primary"><</button>
            </div>

            <div class="form-group col-md-6 text-center">
                <label class="control-label" for="date">{{ 'overview.seeweek'|trans }}</label>
                <input type="date" name="date" class="form-control" id="date"
                       min="1990-01-01" max="2250-12-31" value="{{ dates[0]|date("Y-m-d") }}">
                <button type="submit" class="btn btn-primary">{{ 'overview.show'|trans }}</button>

            </div>

            <div class="col-md-3 text-right">
                <button type="submit" id="dateForward" class="btn btn-primary">></button>
            </div>


        </form>

        <table class="table table-striped table-bordered table-condensed">
            <thead class="table-color-head">
            <tr>
                {% for key, date in dates %}
                    <th class="text-center">
                        {{ weekdays[key] }}
                        <br>
                        {{ date|date("d-m-Y") }}
                    </th>
                {% endfor %}
            </tr>
            </thead>

            <tbody>
            <tr class="table-color-body">
                {% for key, trainingDay in trainingDays %}
                    <td class='row'>
                        <div class="panel-group">
                            {% include "TrainingScheduleBundle:Overview:dayBlock.html.twig" %}
                        </div>
                    </td>
                {% endfor %}
            </tr>
            </tbody>

        </table>

    </div>

{% endblock %}

{% block javascripts %}
    {% javascripts '%kernel.root_dir%/../src/TrainingScheduleBundle/Resources/public/overview.js' %}
    <script src="{{ asset_url }}"></script>
    {% endjavascripts %}
{% endblock %}
